## XbQuery XbQuery |

## Functions

XbQuery * | xb_query_new ()
XbQuery * | xb_query_new_full ()
const gchar * | xb_query_get_xpath ()
guint | xb_query_get_limit ()
void | xb_query_set_limit ()
XbQueryFlags | xb_query_get_flags ()
void | xb_query_set_flags ()
gboolean | xb_query_bind_str ()
gboolean | xb_query_bind_val ()

## Types and Values

#define | XB_TYPE_QUERY
struct | XbQueryClass
enum | XbQueryFlags
| XbQuery

## Description

## Functions

### xb_query_new ()

    XbQuery *
    xb_query_new (XbSilo *silo,
                  const gchar *xpath,
                  GError **error);

### xb_query_new_full ()

    XbQuery *
    xb_query_new_full (XbSilo *silo,
                       const gchar *xpath,
                       XbQueryFlags flags,
                       GError **error);

### xb_query_get_xpath ()

    const gchar *
    xb_query_get_xpath (XbQuery *self);

### xb_query_get_limit ()

    guint
    xb_query_get_limit (XbQuery *self);

`xb_query_get_limit` is deprecated and should not be used in newly-written code.

### xb_query_set_limit ()

    void
    xb_query_set_limit (XbQuery *self,
                        guint limit);

`xb_query_set_limit` is deprecated and should not be used in newly-written code.

### xb_query_get_flags ()

    XbQueryFlags
    xb_query_get_flags (XbQuery *self);

`xb_query_get_flags` is deprecated and should not be used in newly-written code.

### xb_query_set_flags ()

    void
    xb_query_set_flags (XbQuery *self,
                        XbQueryFlags flags);

`xb_query_set_flags` is deprecated and should not be used in newly-written code.

### xb_query_bind_str ()

    gboolean
    xb_query_bind_str (XbQuery *self,
                       guint idx,
                       const gchar *str,
                       GError **error);

`xb_query_bind_str` is deprecated and should not be used in newly-written code.

### xb_query_bind_val ()

    gboolean
    xb_query_bind_val (XbQuery *self,
                       guint idx,
                       guint32 val,
                       GError **error);

`xb_query_bind_val` is deprecated and should not be used in newly-written code.

## Types and Values

### XB_TYPE_QUERY

    #define XB_TYPE_QUERY (xb_query_get_type ())

### struct XbQueryClass

    struct XbQueryClass {
    	GObjectClass			 parent_class;
    };

### enum XbQueryFlags

The flags used for queries.

#### Members

XB_QUERY_FLAG_NONE | No extra flags to use |
XB_QUERY_FLAG_OPTIMIZE | Optimize the query when possible |
XB_QUERY_FLAG_USE_INDEXES | Use the indexed parameters |
XB_QUERY_FLAG_REVERSE | Reverse the results order |
XB_QUERY_FLAG_FORCE_NODE_CACHE | Always cache the XbNode objects |

### XbQuery

    typedef struct _XbQuery XbQuery;